<template>
  <div ref="loadingEl" class="bg-gray-50 p-10px">
    <a-divider>
      <span class="c-gray font-size-12px">以下是历史记录</span>
    </a-divider>
    <a-card class="mb-15px" style="width: auto" v-for="item in cardList" :key="item.id">
      <p class="tips-title">
        <AimOutlined class="c-amber-5" />
        商机"<a class="">{{item.cluesName}}</a>"已过了结单日期
      </p>
      <p class="tips-content font-size-12px">
        "<a class="">{{item.cluesName}}</a>"已过了结单日期，但仍未结束（赢单/输单），请尽快跟进
      </p>
      <p class="tips-time">

      </p>
      <a-flex justify="space-between">
        <span class="c-gray font-size-12px">{{item.privateTime}}</span>
        <a-button class="font-size-12px" type="link">编辑商机</a-button>
      </a-flex>
    </a-card>
    <a-divider>
      <span class="c-gray font-size-12px">已显示全部内容</span>
    </a-divider>
  </div>

  <!--  <List :class="prefixCls" item-layout="horizontal" :data-source="projectList" :grid="{ column: 1, gutter: 12}" :pagination="pagination" >-->
  <!--    <template #renderItem="{ item }">-->
  <!--      <ListItem>-->
  <!--        -->
  <!--      </ListItem>-->

  <!--    </template>-->
  <!--&lt;!&ndash;    <template v-for="item in projectList" :key="item.title"></template>&ndash;&gt;-->
  <!--  </List>-->
</template>
<script lang="ts" setup>
import {List, Avatar, Card, Row, Col, Dropdown, Menu, Tooltip, Tag} from 'ant-design-vue';
import {projectList} from './data';
import {AimOutlined} from '@ant-design/icons-vue';
import {BasicArrow} from "@/components/Basic";
import {onMounted, ref} from 'vue';
import ScheduleDetailModal from './ScheduleDetail.vue';


import EventBus from '@/utils/eventBus';
import {BasicTable, ColumnChangeParam, TableAction, useTable} from "@/components/Table";
import {cluesDynamicApi} from "@/api/clues/dynamic";
import {getEditCellColumns, getFormConfig} from "@/views/clues/components/tableData";
import {useModal} from "@/components/Modal";
import {useLoading} from "@/components/Loading";

const [registerScheduleModal, {openModal, setModalProps}] = useModal();
const openScheduleModal = () => {
  Logger.log('点击openScheduleModal');
  EventBus.emit('openScheduleModal', {
    title: '新建任务',
    content: '新建任务内容'
  });
};

let cardList = ref([] as any[]);
// tips Loading
const loadingEl = ref<ElRef>(null);
const [openWrapLoading, closeWrapLoading] = useLoading({
  target: loadingEl,
  props: {
    tip: '加载中...',
    absolute: true,
  },
});
// tips列表数据
// 获取客户卡片数据
setTimeout(() => {
  getCustomerCardData();
}, 50);
async function getCustomerCardData(){
  openWrapLoading();
  let params = {
    page: 1,
    pageSize: 10,
  };
  try {
    // cluesDynamicApi(params).then(res => {
    //
    // })
    let res = await cluesDynamicApi(params)
    Logger.log('cluesDynamicApi...',res);
    // console.log(_this);
    // _this.$set(dynamicList,res.items)
    cardList.value = res.items;

  } catch (e) {
    Logger.error(e);
  } finally {
    closeWrapLoading();
  }
}

</script>
<style lang="less" scoped>

</style>
